<div dir="ltr">Hi,<br>&nbsp;&nbsp;&nbsp; I get this error. I think have zlib installed! what package should I install to compile cabal on my machine (ubuntu - 8.04)<br><br>Configuring cabal-install-0.5.2...<br>Setup: At least the following dependencies are missing:<br>
zlib &gt;=0.4<br><br>status of zlib on my machine is as following<br><br>bahs$ aptitude search zlib<br>p&nbsp;&nbsp; gambas2-gb-compress-bzlib2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - The Gambas bzlib2 component&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>p&nbsp;&nbsp; gambas2-gb-compress-zlib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - The Gambas zlib compression component&nbsp;&nbsp;&nbsp; <br>
p&nbsp;&nbsp; libcompress-raw-zlib-perl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - low-level interface to zlib compression l<br>p&nbsp;&nbsp; libcompress-zlib-perl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - Perl module for creation and manipulation<br>p&nbsp;&nbsp; libio-compress-zlib-perl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - Perl interface to zlib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
p&nbsp;&nbsp; libio-zlib-perl&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - IO:: style interface to Compress::Zlib&nbsp;&nbsp; <br>p&nbsp;&nbsp; libjzlib-java&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - Reimplementation of zlib in pure java&nbsp;&nbsp;&nbsp; <br>i&nbsp;&nbsp; libzlib-ruby&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - transitional dummy package&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
v&nbsp;&nbsp; libzlib-ruby1.8&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>i&nbsp;&nbsp; zlib-bin&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - compression library - sample programs&nbsp;&nbsp;&nbsp; <br>i&nbsp;&nbsp; zlib1g&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - compression library - runtime&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>
p&nbsp;&nbsp; zlib1g-dbg&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - compression library - development&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>i A zlib1g-dev&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - compression library - development&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <br>i&nbsp;&nbsp; zlibc&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; - Uncompressing C Library&nbsp;&nbsp; <br>
<br><br>Regards,<br>Vikrant<br><br><br><div class="gmail_quote">2008/8/5 jinjing <span dir="ltr">&lt;<a href="mailto:nfjinjing@gmail.com" target="_blank">nfjinjing@gmail.com</a>&gt;</span><br><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">

What I did was to compile from source:<br>
<br>
<a href="http://hackage.haskell.org/trac/hackage/wiki/CabalInstall" target="_blank">http://hackage.haskell.org/trac/hackage/wiki/CabalInstall</a><br>
<br>
notice the darcs repo?<br>
<br>
<a href="http://darcs.haskell.org/cabal-install/" target="_blank">http://darcs.haskell.org/cabal-install/</a><br>
<br>
I used<br>
<br>
 &nbsp; &nbsp;runghc Setup configure --user --prefix=$HOME<br>
<br>
to keep packages in user space, i.e. inside ~/.cabal folder.<br>
<div><div></div><div><br>
<br>
On Wed, Aug 6, 2008 at 1:00 AM, Sebastian Menge<br>
&lt;<a href="mailto:sebastian.menge@uni-dortmund.de" target="_blank">sebastian.menge@uni-dortmund.de</a>&gt; wrote:<br>
&gt; Am Tue, 5 Aug 2008 22:10:16 +0530<br>
&gt; schrieb Vikrant &lt;<a href="mailto:vikrant.patil@gmail.com" target="_blank">vikrant.patil@gmail.com</a>&gt;:<br>
&gt;<br>
&gt;&gt; well, How do I get cabal! on my ubuntu installation it gives me error<br>
&gt;&gt; saying libghc6-cabal-dev depends ghc &lt; 6.6.1 but 6.8.2 installed!<br>
&gt;<br>
&gt; Thats a known bug, but I cant remeber my workaround. Anyways I have<br>
&gt; installed<br>
&gt;<br>
&gt; libhugs-cabal-bundled<br>
&gt;<br>
&gt; IIRC from a gutsy-repository<br>
&gt;<br>
&gt; HTH, Sebastian.<br>
&gt; _______________________________________________<br>
&gt; haskell-art mailing list<br>
&gt; <a href="mailto:haskell-art@lurk.org" target="_blank">haskell-art@lurk.org</a><br>
&gt; <a href="http://lists.lurk.org/mailman/listinfo/haskell-art" target="_blank">http://lists.lurk.org/mailman/listinfo/haskell-art</a><br>
&gt;<br>
_______________________________________________<br>
haskell-art mailing list<br>
<a href="mailto:haskell-art@lurk.org" target="_blank">haskell-art@lurk.org</a><br>
<a href="http://lists.lurk.org/mailman/listinfo/haskell-art" target="_blank">http://lists.lurk.org/mailman/listinfo/haskell-art</a><br>
</div></div></blockquote></div><br></div>